# class ActiveSupport::FileWatcher

### Public Class Methods

new() click to toggle source

    # File lib/active_support/file_watcher.rb, line 14
    def initialize
      @regex_matchers = {}
    end

### Public Instance Methods

trigger(files) click to toggle source

    # File lib/active_support/file_watcher.rb, line 22
    def trigger(files)
      trigger_files = Hash.new { |h,k| h[k] = Hash.new { |h2,k2| h2[k2] = [] } }

      files.each do |file, state|
        @regex_matchers.each do |pattern, block|
          trigger_files[block][state] << file if pattern === file
        end
      end

      trigger_files.each do |block, payload|
        block.call payload
      end
    end

watch(pattern, &block) click to toggle source

    # File lib/active_support/file_watcher.rb, line 18
    def watch(pattern, &block)
      @regex_matchers[pattern] = block
    end